.TH wxComboBox 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxComboBox \- See external documentation: wxComboBox\&.
.SH DESCRIPTION
.LP
See external documentation: wxComboBox <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcombobox\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxControlWithItems 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxComboBox()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxComboBox()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcombobox\&.html#wxcomboboxwxcombobox>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer()) -> wxComboBox()
.br
.RS
.LP
Equivalent to new(Parent, Id, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Options::[Option]) -> wxComboBox()
.br
.RS
.TP
Types
Option = {value, string()} | {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {choices, [[string()]]} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcombobox\&.html#wxcomboboxwxcombobox>\&.
.RE
.LP
.B
create(This::wxComboBox(), Parent::wxWindow() (see module wxWindow), Id::integer(), Value::string(), Pos::{X::integer(), Y::integer()}, Size::{W::integer(), H::integer()}, Choices::[[string()]]) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, Id, Value, Pos, Size, Choices, [])\&.
.RE
.LP
.B
create(This::wxComboBox(), Parent::wxWindow() (see module wxWindow), Id::integer(), Value::string(), Pos::{X::integer(), Y::integer()}, Size::{W::integer(), H::integer()}, Choices::[[string()]], Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcombobox\&.html#wxcomboboxcreate>\&.
.RE
.LP
.B
canCopy(This::wxComboBox()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcombobox\&.html#wxcomboboxcancopy>\&.
.RE
.LP
.B
canCut(This::wxComboBox()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcombobox\&.html#wxcomboboxcancut>\&.
.RE
.LP
.B
canPaste(This::wxComboBox()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcombobox\&.html#wxcomboboxcanpaste>\&.
.RE
.LP
.B
canRedo(This::wxComboBox()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcombobox\&.html#wxcomboboxcanredo>\&.
.RE
.LP
.B
canUndo(This::wxComboBox()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcombobox\&.html#wxcomboboxcanundo>\&.
.RE
.LP
.B
copy(This::wxComboBox()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcombobox\&.html#wxcomboboxcopy>\&.
.RE
.LP
.B
cut(This::wxComboBox()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcombobox\&.html#wxcomboboxcut>\&.
.RE
.LP
.B
getInsertionPoint(This::wxComboBox()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcombobox\&.html#wxcomboboxgetinsertionpoint>\&.
.RE
.LP
.B
getLastPosition(This::wxComboBox()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcombobox\&.html#wxcomboboxgetlastposition>\&.
.RE
.LP
.B
getValue(This::wxComboBox()) -> string()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcombobox\&.html#wxcomboboxgetvalue>\&.
.RE
.LP
.B
paste(This::wxComboBox()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcombobox\&.html#wxcomboboxpaste>\&.
.RE
.LP
.B
redo(This::wxComboBox()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcombobox\&.html#wxcomboboxredo>\&.
.RE
.LP
.B
replace(This::wxComboBox(), From::integer(), To::integer(), Value::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcombobox\&.html#wxcomboboxreplace>\&.
.RE
.LP
.B
remove(This::wxComboBox(), From::integer(), To::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcombobox\&.html#wxcomboboxremove>\&.
.RE
.LP
.B
setInsertionPoint(This::wxComboBox(), Pos::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcombobox\&.html#wxcomboboxsetinsertionpoint>\&.
.RE
.LP
.B
setInsertionPointEnd(This::wxComboBox()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcombobox\&.html#wxcomboboxsetinsertionpointend>\&.
.RE
.LP
.B
setSelection(This::wxComboBox(), N::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcombobox\&.html#wxcomboboxsetselection>\&.
.RE
.LP
.B
setSelection(This::wxComboBox(), From::integer(), To::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcombobox\&.html#wxcomboboxsetselection>\&.
.RE
.LP
.B
setValue(This::wxComboBox(), Value::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcombobox\&.html#wxcomboboxsetvalue>\&.
.RE
.LP
.B
undo(This::wxComboBox()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxcombobox\&.html#wxcomboboxundo>\&.
.RE
.LP
.B
destroy(This::wxComboBox()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
